Skip to main content
POST
/
api
/
conversations
POST /api/conversations
curl --request POST \
  --url https://api.sippet.ai/api/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "ai_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "chat",
      "metadata": {},
      "mode": "text"
    },
    "relationships": {},
    "type": "Conversation"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "<string>",
    "attributes": {
      "channel": "chat",
      "mode": "text",
      "public_id": "<string>",
      "status": "active",
      "ai_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "metadata": {}
    },
    "relationships": {
      "ai_agent": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "call": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      },
      "conversation_items": {
        "data": [
          {
            "id": "<string>",
            "type": "<string>",
            "meta": {}
          }
        ]
      },
      "organisation": {
        "data": {
          "id": "<string>",
          "type": "<string>",
          "meta": {}
        }
      }
    }
  },
  "included": [
    "<unknown>"
  ],
  "meta": {}
}

Authorizations

Authorization
string
header
required

JWT for bearer authentication

Query Parameters

include
string

Relationship paths to include in the response

Pattern: ^()(,())*$
fields
object

Limits the response fields to only those listed for each type

Example:
{
  "Conversation": "id,status,channel,mode,public_id,metadata,ai_agent_id"
}

Body

application/vnd.api+json

Request body for the /conversations operation on Conversation resource

data
object
required

Response

Success

data
object

A "Resource object" representing a Conversation

included
any[]
meta
object